Issue 59358 - A lot of UI elements are disabled in the biblio DB
Summary: A lot of UI elements are disabled in the biblio DB
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: ui (show other issues)
Version: OOo 2.0.1
Hardware: All All
: P2 Trivial (vote)
Target Milestone: ---
Assignee: eric.savary
QA Contact: issues@sw
URL:
Keywords: oooqa, regression
: 60218 (view as issue list)
Depends on:
Blocks:
 
Reported: 2005-12-14 16:34 UTC by g.marxen
Modified: 2013-08-07 14:42 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description g.marxen 2005-12-14 16:34:43 UTC
In OOo 2.0.1 RC4, Win XP Pro SP2, Win2K SP4:

- Open biblio database dialog with "Tools, Biblio. Database", then 

- the menue "Edit" and especially "Choose Data Source" are inactiv.
  The button "Data Source" is also inactive.
Comment 1 michael.ruess 2005-12-14 16:35:55 UTC
Reassigned to ES.
Comment 2 Regina Henschel 2005-12-14 16:48:01 UTC
I can confirm this for German OOo2.0.1rc4 on WinXP. In SO8 the button works as
expected. The menu-entry 'Datenquelle wählen' is inactiv too. In OOo2.0.1rc4 the
menu "Bearbeiten" (Edit) has only the aktiv entry 'Einfügen' (paste) and the
button "Datenquelle" is inactive. So there is no way to change the bibliography
which is not only a regression in comparision to OOo1.1 but also to OOo2.0.
Comment 3 eric.savary 2005-12-14 17:23:54 UTC
ES->OS: as described.
OOo 1.1.5 -> all entries where enabled

OOO 2.0 - are disabled:

- Menu Edit:
+ Column Arrangement
+ Choose Data Source

- Menu Tools:
+ Data Source

OOO 2.0.1 - are disabled:

- Menu Edit:
+ Column Arrangement
+ Choose Data Source
+ Delete Record

- Menu Insert:
+ Record 

- Menu Tools:
+ Filter...
+ Data Source

- Toolbar Icons
+ AutoFilter
+ Stdandard Filter
+ Data Source

Because it leads to a huge restriction in the functionality of the Biblio DB,
I'd advocate for 2.0.2.
Comment 4 g.marxen 2005-12-15 10:06:35 UTC
As at the end of january the "Sun SO 8 CD" is distributed with my book 
"SO 8 & OOo 2" in german speaking universities, I advocate for immediate correction.
Comment 5 Oliver Specht 2005-12-15 11:36:59 UTC
Fixed in :
extensions/source/bibliography/uiconfig/sbibliography/menubar/menubar.xml
extensions/source/bibliography/framectr.cxx
extensions/source/bibliography/toolbar.src

The command tools/data sources has been removed. It's obsolete since 2.0.

Comment 6 Oliver Specht 2005-12-16 09:51:06 UTC
Reassigned for verification

re-open issue and reassign to es@openoffice.org
Comment 7 Oliver Specht 2005-12-16 09:51:26 UTC
reassign to es@openoffice.org
Comment 8 Oliver Specht 2005-12-16 09:51:31 UTC
reset resolution to FIXED
Comment 9 michael.ruess 2006-01-04 16:32:57 UTC
Verified in CWS os72.
Comment 10 eric.savary 2006-01-09 15:20:53 UTC
ok in m149
Comment 11 eric.savary 2006-01-09 15:22:35 UTC
*** Issue 60218 has been marked as a duplicate of this issue. ***